[build-system]
requires = ["poetry-core>=1.0.7"]
build-backend = "poetry.core.masonry.api"

[tool.poetry]
name = "flexo"
version = "0.0.1"
authors = ["Enrico Enno Schwass <ennoausberlin@mac.com>"]
description = "Core library providing unique lifecycle-aware IDs and entity base classes"
readme = "README.md"
license = "MIT"

include = [
	{path = 'tests/*.py'},
] 

[tool.poetry.dependencies]
python  = "^3.10.6"
pytest  = "^7.1.3"
